package capitulo07.bloque01;

public class ListaWrappers {
    public static void main(String[] args) {
        System.out.println("Integer:");
        System.out.println("\tBytes: " + Integer.BYTES);
        System.out.println("\tValor Máximo: " + Integer.MAX_VALUE);
        System.out.println("\tValor Mínimo: " + Integer.MIN_VALUE);

        System.out.println("\nByte:");
        System.out.println("\tBytes: " + Byte.BYTES);
        System.out.println("\tValor Máximo: " + Byte.MAX_VALUE);
        System.out.println("\tValor Mínimo: " + Byte.MIN_VALUE);

        System.out.println("\nShort:");
        System.out.println("\tBytes: " + Short.BYTES);
        System.out.println("\tValor Máximo: " + Short.MAX_VALUE);
        System.out.println("\tValor Mínimo: " + Short.MIN_VALUE);

        System.out.println("\nLong:");
        System.out.println("\tBytes: " + Long.BYTES);
        System.out.println("\tValor Máximo: " + Long.MAX_VALUE);
        System.out.println("\tValor Mínimo: " + Long.MIN_VALUE);

        System.out.println("\nFloat:");
        System.out.println("\tBytes: " + Float.BYTES);
        System.out.println("\tValor Máximo: " + Float.MAX_VALUE);
        System.out.println("\tValor Mínimo: " + Float.MIN_VALUE);

        System.out.println("\nDouble:");
        System.out.println("\tBytes: " + Double.BYTES);
        System.out.println("\tValor Máximo: " + Double.MAX_VALUE);
        System.out.println("\tValor Mínimo: " + Double.MIN_VALUE);
    }
}
